# Get an automation rule

Returns the specified automation rule, including any action values.

Endpoint: GET /sheets/{sheetId}/automationrules/{automationRuleId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `automationRuleId` (string, required)
    ID of the automation rule being accessed

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Response 200 fields (application/json):

  - `id` (number)
    AutomationRule ID.

  - `action` (any)
    An [AutomationAction object](/api/smartsheet/openapi/automationrules/automationaction) containing information for this rule, such as type, recipients, and frequency.

  - `createdAt` (any)
    A timestamp of when the rule was originally added.

  - `createdBy` (object)
    User object containing name and email of the creator of this rule.

  - `createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `createdBy.name` (string)
    Example: "Jane Doe"

  - `disabledReason` (string)
    Machine-readable reason a rule is disabled:
* APPROVAL_COLUMN_MISSING This rule's approval status column has been deleted.

* APPROVAL_COLUMN_WRONG_TYPE The approval column must be a dropdown column.

* AUTOMATION_NOT_ENABLED_FOR_ORG To create or edit automated actions,
you need to upgrade your organization account to a Business or Enterprise plan.

* COLUMN_MISSING A column referenced by this rule has been deleted.

* COLUMN_TYPE_INCOMPATIBLE A column referenced by this rule has been changed to an incompatible column type.

* NO_POTENTIAL_RECIPIENTS This rule has no recipients that will be able to receive
notifications based on this sheet's permission settings or this account's approved domain sharing list.

* NO_VALID_SELECTED_COLUMNS All selected columns for this rule have been deleted.
    Enum: "APPROVAL_COLUMN_MISSING", "APPROVAL_COLUMN_WRONG_TYPE", "AUTOMATION_NOT_ENABLED_FOR_ORG", "COLUMN_MISSING", "COLUMN_TYPE_INCOMPATIBLE", "NO_POTENTIAL_RECIPIENTS", "NO_VALID_SELECTED_COLUMNS"

  - `disabledReasonText` (string)
    Descriptive reason a rule is disabled.

  - `enabled` (boolean)
    If true, indicates that the rule is active.

  - `modifiedAt` (any)
    The datetime for when the change was made to the rule.

  - `modifiedBy` (object)
    User object containing the name and email of the user that made the change.

  - `modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `modifiedBy.name` (string)
    Example: "Jane Doe"

  - `name` (string)
    Rule name as shown in the UI.

  - `userCanModify` (boolean)
    If true, indicates that the current user can modify the rule.


